Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Pufferüberlauf in CVS
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in CVS
ID: 201701-44
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Do, 19. Januar 2017, 20:57
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-0804

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--m0XV1XGCDIuehw9xQaqxrwkuvBP0hcK8i
Content-Type: multipart/mixed;
boundary="tnh0hPa4PAcOG8221Gfdnhf7DwHUIcFSg";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID: <0b8cb03f-3282-2aa7-9bb9-aedc7d76dcd9@gentoo.org>
Subject: [ GLSA 201701-44 ] CVS: Heap-based overflow

--tnh0hPa4PAcOG8221Gfdnhf7DwHUIcFSg
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201701-44
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: CVS: Heap-based overflow
Date: January 19, 2017
Bugs: #402593
ID: 201701-44

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A heap-based buffer overflow in CVS might allow remote attackers to
execute arbitrary code.

Background
==========

CVS (Concurrent Versions System) is an open-source network-transparent
version control system. It contains both a client utility and a server.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 dev-vcs/cvs < 1.12.12-r11 >= 1.12.12-r11

Description
===========

A heap-based buffer overflow was discovered in the proxy_connect
function in src/client.c in CVS.

Impact
======

An attacker, utilizing a remote HTTP proxy server, could cause a Denial
of Service condition or possibly execute arbitrary code via a crafted
HTTP response.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All CVS users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-vcs/cvs-1.12.12-r11"

References
==========

[ 1 ] CVE-2012-0804
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-0804

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201701-44

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--tnh0hPa4PAcOG8221Gfdnhf7DwHUIcFSg--

--m0XV1XGCDIuehw9xQaqxrwkuvBP0hcK8i
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJYgQ8SXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/I/V4QAJNxKV7g9AnFTevEMKHC1A49
zJKAn1czaqpEgTEu0++rAQTApzP6zDYany5jLHlFpoGzfW8JMfRs3FvwlxwayQZ4
468ZYLX6t/erQ31iqGROg+QNVTDos8H22HDzwSvFjTBDAArMMtKSPMCMABoxGY7T
jnupe6H0Il7jDJ/Vss363OUQJNL6ov59Xw4hUTMLuvkdRcRVMiSb4Z8E4hmhI0or
LI0mDWOwhH26wXm75h3CFyXsjUqg8LtpfH7nbbY/cWELDwFGMhq7Au7FhDkDWyaI
M5DGn+DNIVDF4V5rpJ26mxJo6D0MG772P6WphfFmDZrKANYZRkK2b2MvoL7jT4AT
v9A5wM2RSNAxtULmqbwORTT/9HScCGX3PBj+g7DuUMkPRyeNEAmOTbjh+jr92Ni8
PaCz0i8ExcZWSu2AZyRtE8hUPJy3ciuNv3M+tAKO9buWcIlYt+cpdtZ0R/NdVyny
rxgb1a2WoLnLeqR7uJ8/+WzLiSK3uB5R06Xe0MWs7ZqnhfLz7G9HcMC1sTfiZh0i
5fHrum6w2KR4x2nW2HwA27g/ruDrhQXBSUrZrsZq6sb2Llb3aHuak2+vC/79Zmc9
XOv0weEGXbRHJ/dzzNBeK50d1KW9U89GWCFa/BGNTD6pLq2yLvSThtjk7ZVWDY2E
xcC0qsONRY0UX+M+KppX
=3t0n
-----END PGP SIGNATURE-----

--m0XV1XGCDIuehw9xQaqxrwkuvBP0hcK8i--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung